## auto6to4 1.20

=== Makefile ===
prefix = /usr/local
exec_prefix = $(prefix)
sbindir     = $(exec_prefix)/sbin
datarootdir = $(prefix)/share
mandir      = $(datarootdir)/man

INSTALL         = install
INSTALL_PROGRAM = $(INSTALL) --mode a+rx,u+w
INSTALL_DIR     = $(INSTALL) -d
INSTALL_DATA    = $(INSTALL) --mode a+r,u+w

HELP2MAN = help2man

RM = rm

MANSECT=8

PROG=auto6to4

all: $(PROG).$(MANSECT)

$(PROG).$(MANSECT): $(PROG) README
	$(HELP2MAN) --no-info --section=$(MANSECT) \
	 --name="set up IPv6 over IPv4 protocol 41 tunnel" \
	 --include=README \
	 --output=$(PROG).$(MANSECT) ./$(PROG)

install: $(PROG).$(MANSECT)
	-$(INSTALL_DIR)			$(DESTDIR)$(sbindir)
	$(INSTALL_PROGRAM) $(PROG)	$(DESTDIR)$(sbindir)/
	-$(INSTALL_DIR)			$(DESTDIR)$(mandir)/man$(MANSECT)
	$(INSTALL_DATA) $(PROG).$(MANSECT) $(DESTDIR)$(mandir)/man$(MANSECT)/

uninstall:
	-$(RM) -f $(DESTDIR)$(sbindir)/$(PROG)
	-$(RM) -f $(DESTDIR)$(mandir)/man$(MANSECT)/$(PROG).$(MANSECT)

clean:
	-rm -f $(PROG).$(MANSECT)

.PHONY: all install uninstall clean

=== debian/changelog ===
auto6to4 (1.20-4) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Remove trailing whitespaces

  [ Barak A. Pearlmutter ]
  * Track upstream merge (well, cherry-pick) tweaks from 8NEZNhg7U73i
  * Secure URL
  * debian packaging updates and modernizations

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 16 Sep 2024 14:35:42 +0100

auto6to4 (1.20-3) experimental; urgency=medium

  * fix vcs browser field by dropping ; suffix (closes: #768629)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 08 Nov 2014 20:40:04 +0000

auto6to4 (1.20-2) experimental; urgency=medium

  * Update dependency to iproute2 | iproute (closes: #768347)
  * bump debian standards version
  * silence lintian tag vcs-field-not-canonical
  * silence lintian tag hyphen-used-as-minus-sign
  * silence lintian tag init.d-script-does-not-provide-itself
  * silence lintian tag unversioned-copyright-format-uri

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 07 Nov 2014 22:37:25 +0000

auto6to4 (1.20-1) experimental; urgency=low

  * Ignore stopping error during restart

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 01 Jul 2012 21:31:37 +0100

auto6to4 (1.19-1) experimental; urgency=low

  * Initial release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 04 Jun 2012 12:28:55 +0100

=== debian/control ===
Source: auto6to4
Section: net
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: https://github.com/barak/auto6to4
Vcs-Git: https://salsa.debian.org/debian/auto6to4.git
Vcs-Browser: https://salsa.debian.org/debian/auto6to4

Package: auto6to4
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
	 iproute2 | iproute,
	 ipv6calc
Suggests: radvd
Description: Enable IPv6 via IPv4 protocol 41 tunnel
 Script to turn on/off an IPv6 tunnel using the tun6to4 interface,
 which exchanges IPv6 packets by encapsulating them in IPv4 packets
 and using protocol 41 to the IPv4 anycast address 192.88.99.1
 .
 Instructions for doing this typically discuss laborious manual
 configuration, tedious calculations, manipulation of various
 networking configuration files, all of which must be redone when the
 host moves to a different IP address.  This script instead sets up
 the 6to4 tunnel completely automatically, without modification to any
 networking configuration files or other configuration.  It is robust:
 for example, if the local host does not have a first-class IPv4
 address it exits with a cogent warning.
 .
 If radvd is installed, when possible a subnet is routed and
 advertised.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_installinit:
	dh_installinit --no-stop-on-upgrade --update-rcd-params="start 23 S . stop 23 0 1 6 ."

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
    https://github.com/barak/auto6to4/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
